package com.mx.dla.dda.contrato.fees.dtos;

import java.util.ArrayList;
import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class FeesPagoFlat extends BaseDTO{

	private static final long serialVersionUID = 1L;
			
	private Long    idCategoria;
	private String  descCategoria;
	private List<PagoFlatAnioDTO> anios;
	
	public FeesPagoFlat(){}
	
	public FeesPagoFlat( Long idcategoria, String descCategoria, Integer numAnios) {		
		
		this.idCategoria   = idcategoria;
		this.descCategoria = descCategoria;
				
		anios = new ArrayList<PagoFlatAnioDTO>();
		
		for(int i=0; i< numAnios; i++)
		{
		   PagoFlatAnioDTO anio = new PagoFlatAnioDTO(0L,i+1, "");
		   anios.add(anio);			   
		}					
	}
				
	
	public Long getIdCategoria() {
		return idCategoria;
	}

	public void setIdCategoria(Long idCategoria) {
		this.idCategoria = idCategoria;
	}

	public String getDescCategoria() {
		return descCategoria;
	}
	public void setDescCategoria(String descCategoria) {
		this.descCategoria = descCategoria;
	}
	public List<PagoFlatAnioDTO> getAnios() {
		return anios;
	}
	public void setAnios(List<PagoFlatAnioDTO> anios) {
		this.anios = anios;
	}		
}
